{
  "extends": [
    "airbnb-typescript",
    "airbnb/hooks",
    "plugin:@typescript-eslint/recommended",
    "plugin:@typescript-eslint/recommended-requiring-type-checking"
  ],
  "parserOptions": {
    "project": "tsconfig.json",
    "sourceType": "module"
  },
  "rules": {
    "react/jsx-props-no-spreading": "off",
    "no-use-before-define": "off",
    "no-param-reassign": "off",
    "import/extensions": "off",
    "@typescript-eslint/no-var-requires": "off",
    "@typescript-eslint/no-use-before-define": "off",
    "react/react-in-jsx-scope": "off",
    "react/prop-types": "off",
    "consistent-return": "off",
    "no-restricted-syntax": "off",
    "no-prototype-builtins": "off",
    "no-continue": "off",
    "import/prefer-default-export": "off", //Под сомнение все что ниже
    "import/no-cycle": "off",
    "@typescript-eslint/no-unsafe-member-access": "off",
    "@typescript-eslint/no-unsafe-call": "off",
    "@typescript-eslint/explicit-module-boundary-ty": "off",
    "@typescript-eslint/ban-types": "off",
    "@typescript-eslint/no-unsafe-return": "off",
    "@typescript-eslint/no-explicit-any": "off",
    "@typescript-eslint/no-unsafe-assignment": "off",
    "@typescript-eslint/restrict-template-expressions": "off",
    "no-nested-ternary": "off",
    "react-hooks/exhaustive-deps": "off",
    "@typescript-eslint/no-floating-promises": "off",
    "@typescript-eslint/no-unused-vars": [
      "off"
    ]
  }
}